*{
    box-sizing:border-box;
}
html{
    scroll-behavior: smooth;
    overflow-x: hidden;
}
body{
    background: linear-gradient(#07111f,#0b1220);
    color:white;
    display:flex;
    gap:20px;
    font-family:(Poppins)sans-serif;
    overflow-x: hidden;
}
/*sidebar-section*/
#sidebar{
    background: rgba(255,255,255,0.05);
    backdrop-filter: brul(10px);
    border-right: 1px solid rgba(255,255,255,0.05);
    background-color: #111827;
    padding:10px 20px;
    width:18%;
}
#sidebar-heading{
    display:flex;
    gap:10px;
}
#sidebar-heading h1{
    color:royalblue;
    font-weight:bolder;
    font-size: 35px;
}
.sidebar-items{
    display:grid;
    gap:20px;
}
.sidebar-items a{
    color:#94a3b8;
    border-radius:15px;
    border:none;
    padding:20px;
    text-decoration:none;
    background:#1e293b;
    padding:20px;
    border-radius:15px;
    border:none;
}
.sidebar-items a:hover{
    background: #2563eb;
}
#settingbar{
    background:purple;
    border-radius: 15px;
    border:none;
    padding:20px;
}
.upgradetopro{
    background: #1e293b;
    backdrop-filter: brul(10px);
    border-radius:15px;
    padding:5px 10px;
    border:1px solid rgba(255,255,255,0.05);
    align-items: center;
    position:relative;
    top:20px;
}
.upgradetopro p{
    position:relative;
    bottom:10px;
    color:#94a3b8;
}
.upgradetopro a{
    background:#2563eb;
    color:white;
    padding:5px 30px;
    text-decoration: none;
    border-radius:10px;
    position:relative;
    bottom:10px;
    left:5px;
}
.upgradetopro i{
    color:#2563eb;
}
.user-profile{
    display:flex;
    gap:5px;
    position:relative;
    top:50px;
}
.userprofile-info{
    line-height:0px;
}
.user-profile span{
    background: #2563eb;
    border-radius: 5px;
    padding:2px 2px;

}
.user-profile i{
    color: white;
    background:orangered;
    border:1px solid orangered;
    border-radius:50%;
    padding:10px;
}
.sidebar-downicons{
    display:flex;
    gap:50px;
    position:relative;
    top:80px;
    left:10px;
}
/*dashboard-section*/
#dashboard-section{
    display:grid;
    gap:20px;
}
.dashboard-navbar{
    display:flex;
    justify-content: space-between;
    position:static;
    padding:10px 20px;
}
#welcome{
    position:relative;
    display:grid;
    line-height: 0px;
}
#welcome p{
    color:#94a3b8;
}
#input-search input{
    position:relative;
    right:90px;
    justify-content: center;
    width:100%;
    padding:10px 20px;
    border-radius:15px;
    background: rgba(255,255,255,0.05);
    color:white;
    border:solid 1px rgba(255,255,255,0.05);
}
#dashboard-navbaricons{
    display: flex;
    gap:10px;
}
.dashboard-data{
    display:flex;
}
#mode{
    border:1px solid rgba(255,255,255,0.05);
    border-radius: 50%;
    height:20px;
    width:20px;
    background: rgba(255,255,255,0.05);
}
/*inner dashboard*/
.inner-dashboard{
    display:flex;
    gap:20px;
}
.left-setting{
    display:grid;
    gap:20px;
    background: #111827;
    border-radius:15px;
    border:none;
}
.left-setting a{
    text-decoration:none;
    color:white;
    padding:15px;
}
.left-setting a:hover{
    background: #2563eb;
    border-radius:15px;
    border:none;
    padding:15px;
}
/*middle setting*/
.profile-information{
    background:#111827;
    border-radius:15px;
    padding:10px 20px;
    height:280px;
}
.profile-information a{
    color:white;
    text-decoration:none;
    border-radius:15px;
    border:none;
    padding:10px;
    background: #2563eb;
    position:relative;
    left:350px;
    top:15px;
}
.middle-profile{
    display:flex;
    gap:15px;
}
.fullname input, .lastname input, .address input, .phonenumber input{
    background:#111827;
    padding:10px 20px;
    border:1px solid rgba(255,255,255,0.05);
    border-radius:10px;
    color:white;
}
.profile-image img{
    height:120px;
    width:120px;
    border-radius:50%;
}
.account-type,.account-status,.member-since,.time-zone,.account-currency,.default-leverage{
    display:flex;
    justify-content:space-between;
    border-bottom:1px solid rgba(255,255,255,0.05);
}
.account-setting{
    background:#111827;
    padding:10px 20px;
    border:1 px solid rgba(255,255,255,0.05);
    border-radius:15px;
}
.security{
    display:flex;
    justify-content: space-between;
}
.security-button{
    display:grid;
    row-gap: 5px;
}
.security-button a{
    text-decoration:none;
    color:white;
    background: #1e293b;
    border:1px solid rgba(255,255,255,0.05);
    padding:15px;
    border-radius:15px;
}
.password,.authentication,.login-session{
    display:flex;
    justify-content: space-between;
    border-bottom:1px solid rgba(255,255,255,0.05);
}
.security-setting{
    background: #111827;
    border:1px solid rgba(255,255,255,0.05);
    border-radius:15px;
    padding:10px 20px;
}
.middle-setting{
    display:grid;
    row-gap:20px;
}
.middleright-setting{
    display:grid;
    row-gap: 20px;
}
/*right setting*/
.right-setting{
    display:flex;
    flex-direction: column;
    gap:20px;
}
.appearance{
    background: #111827;
    padding:10px 20px;
    border-radius:15px;
    border:1px solid rgba(255,255,255,0.05);
}
.appearance-menu{
    display:flex;
    gap:5px;
}
.light,.dark,.auto{
    border:1px solid rgba(255,255,255,0.05);
    border-radius:15px;
    height:100px;
    width:100px;
    justify-content: center;
}
.accent-color{
    background:#111827;
    padding:10px 20px;
    border:1px solid rgba(255,255,255,0.05);
    border-radius:15px;
}
.quick-preference{
    background:#111827;
    padding:10px 20px;
    border-radius:15px;
    border:1px solid rgba(255,255,255,0.05);
}
.compact,.market-hours,.notification,.animation,.confirm{
    display:flex;
}
.progress-bar{
    background: #07111f;
    width:100%;
    height:10px;
    border-radius: 10px;
}
.progress{
    background: #2563eb;
    width:68%;
    height:100%;
    border-radius:10px;
}
.storage-usage{
    background:#111827;
    border:1px solid rgba(255,255,255,0.05);
    border-radius:15px;
    padding:10px 20px;
}
.storage-button{
    border:1px solid rgba(255,255,255,0.05);
    border-radius:15px;
    width:100%;
    padding:10px 20px;
    margin-top: 10px;
}
.storage-button a{
    color:white;
    text-decoration:none;
    justify-content: center;
}